Bug 173701 - devel/bmake: update to 20121111 snapshot
devel/bmake: update to 20121111 snapshot
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 16:00 UTC by Mikolaj Golub
Modified: 2012-11-30 02:55 UTC (History)
0 users

See Also:


Attachments
file.diff (1.40 KB, patch)
2012-11-18 16:00 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2012-11-18 16:00:00 UTC
ChangeLog:

2012-11-11  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20121111
	  fix generation of bmake.cat1

2012-11-09  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20121109
	  Merge with NetBSD make, pick up
	  o make.c: MakeBuildChild: return 0 so search continues if a
	    .ORDER dependency is detected.
	  o unit-tests/order: test the above
	
2012-11-02  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20121102
	  Merge with NetBSD make, pick up
	  o cond.c: allow cond_state[] to grow.
	    In meta mode with a very large tree, we can hit the limit
	    while processing dirdeps.
	
2012-10-25  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in: we need to use ${srcdir} not ${.CURDIR}

2012-10-10  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20121010
	  o protect syntax that only bmake parses correctly.
	  o remove auto setting of FORCE_MACHINE, use configure's
	    --with-force-machine=whatever if that is desired.
	
2012-10-08  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in: do not lose history from make.1 when generating bmake.1

2012-10-07  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): 20121007
	  Merge with NetBSD make, pick up
	  o compat.c: ignore empty commands - same as jobs mode.
	  o make.1: document meta chars that cause use of shell

2012-09-11  Simon J. Gerraty  <sjg@bad.crufty.net>

	* Makefile.in (MAKE_VERSION): bump version to 20120911
	* bsd.after-import.mk: include Makefile.inc early and allow it to
	  override PROG

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-18 16:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trociny

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Mikolaj Golub freebsd_committer 2012-11-18 18:58:51 UTC
Responsible Changed
From-To: trociny->freebsd-ports-bugs

Approved.
Comment 3 Wesley Shields freebsd_committer 2012-11-29 16:40:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2012-11-30 02:55:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!